> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-solicitacoes-da-api-geopard/82.-consulta-restaurar-eventos-da-assinatura.md).

# 82. Consulta: restaurar eventos da assinatura

Sempre é uma boa prática ter a possibilidade de restaurar/rever os eventos de assinatura entregues vs produzidos. Portanto, o GeoPard armazena o histórico de todos os eventos de assinatura produzidos para o **últimos 12 meses**.&#x20;

Os casos comuns:&#x20;

* Conexão com a internet ruim e os eventos não foram entregues
* Redistribuição do listener WebSocket
* Verificar a consistência dos eventos recebidos vs produzidos

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        ação
        nodePath {
          entidade
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Filtros de entrada suportados:

* `dateFrom` como datetime em formato ISO 8701 (ex: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` como datetime em formato ISO 8701 (ex: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` como array de UUIDs de "Fazenda" para buscar
* `fieldUuids` como array de UUIDs de "Campo" para buscar&#x20;
* `userUuids` como array de UUIDs de "User" para busca
* `eventUuids` como array de UUIDs de assinatura de "Evento"

{% hint style="info" %}
Todos os filtros funcionam como lógico **E**.
{% endhint %}

{% hint style="info" %}
Todo evento de assinatura tem um atributo `executionDate` vinculado ao momento do envio no formato AWSDateTime compatível com DateTime ISO 8601.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-solicitacoes-da-api-geopard/82.-consulta-restaurar-eventos-da-assinatura.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
